Bug 51793 - when downloading file, won't prompt for overwrite
when downloading file, won't prompt for overwrite
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-15 06:02 EDT by Tim Waugh
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-21 08:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
small file (12 bytes, application/octet-stream)
2001-08-15 09:04 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2001-08-15 06:02:06 EDT
Description of Problem:
When downloading a file using konqueror, if a file of that name already 
exists you won't be prompted to overwrite it.

Version-Release number of selected component (if applicable):
kdebase-2.2-3
kdelibs-2.2-5

How Reproducible:
100%

Steps to Reproduce:
1. 'echo oldfile > showattachment.cgi'
2. Use konqueror to view bug #51791
3. Click on the first attachment ('small file').
4. A dialog box will appear asking you where to save the file, with a 
default location 'showattachment.cgi'.  Click ok.
5. cat showattachment.cgi

Actual Results:
oldfile

Expected Results:
hello world

Additional Information:
Comment 1 Tim Waugh 2001-08-15 09:04:00 EDT
Created attachment 27933 [details]
small file
Comment 2 Tim Waugh 2001-08-15 09:04:23 EDT
Use the above attachment to test with.
Comment 3 Glen Foster 2001-08-15 15:55:42 EDT
We (Red Hat) should really try to fix this before next release.
Comment 4 Bernhard Rosenkraenzer 2001-08-21 07:03:58 EDT
Not quite as bad as it seems on the first look: It happens on files that are 
generated with "?foo=something" only.
(e.g. showattachment.cgi?attach_id=27933)

That file doesn't exist, so the dialog isn't brought up. The filename needs to 
be checked in a different place...
Comment 5 Bernhard Rosenkraenzer 2001-08-21 08:12:15 EDT
Looks more like a KIO::file_copy issue
Comment 6 Bernhard Rosenkraenzer 2001-08-22 09:44:54 EDT
The real problem is too complex to fix before rc2, added a workaround in 
kdebase-2.2-6


Note You need to log in before you can comment on or make changes to this bug.